Subject: bug#66117: 30.0.50; `find-buffer-visiting' is slow when opening large number of buffers

From: Gerd Möllmann <[email-masked]>
Date: Thu, 21 Dec 2023 06:56:14 +0100

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

>> If yes, I will need help with various edge cases, because I am not
>> really sure about them. For example, I have no clue if below is expected
>>
>> (defvar test/foo 'value)
>> (default-boundp 'test/foo)
>> (default-value 'test/foo) ;; -> value
>
> Yup.
...

BTW, not directly related to this ticket, (set-)default-toplevel-value
might also be interesting to test, with and without buffer-local stuff.